import { Directive, HostListener, inject } from '@angular/core';
import { AudioService } from '../services/audio.service';

@Directive({
  selector: '[appPlaySound]',
  standalone: true,
})
export class PlaySoundDirective {
  private audioService = inject(AudioService);

  @HostListener('click')
  onClick() {
    this.audioService.playBetSound();
  }
}
